SoGLShapeHintsElement Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoGLShapeHintsElement Class Reference
Element Classes

The SoGLShapeHintsElement class is yet to be documented.FIXME: write doc. More...

`#include <Inventor/elements/SoGLShapeHintsElement.h>`

Inherits SoShapeHintsElement.

## Public Member Functions
virtual void | init (SoState *state)
| FIXME: write doc.
virtual void | push (SoState *state)
| FIXME: write doc.
virtual void | pop (SoState *state, const SoElement *prevTopElement)
| FIXME: write doc.

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | forceSend (SoState *const state, const SbBool twoside)
static void | forceSend (SoState *const state, const SbBool ccw, const SbBool cull)
static void | forceSend (SoState *const state, const SbBool ccw, const SbBool cull, const SbBool twoside)
| FIXME: write doc.

## Protected Member Functions
virtual | ~SoGLShapeHintsElement ()
virtual void | setElt (VertexOrdering vertexOrdering, ShapeType shapeType, FaceType faceType)
| FIXME: write doc.

## Detailed Description

The SoGLShapeHintsElement class is yet to be documented.

FIXME: write doc.

## Constructor & Destructor Documentation

SoGLShapeHintsElement::~SoGLShapeHintsElement | ( | void |  | ) |
| protectedvirtual

The destructor.

## Member Function Documentation

void * SoGLShapeHintsElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoGLShapeHintsElement::initClass | ( | void |  | ) |
| static

This static method initializes static data for the SoGLShapeHintsElement class.

void SoGLShapeHintsElement::forceSend | ( | SoState *const | state,
|  | const SbBool | twoside
| ) |  |
| static

Update gl state. Use this is you only want to modify the twoside lighting feature.

void SoGLShapeHintsElement::forceSend | ( | SoState *const | state,
|  | const SbBool | ccw,
|  | const SbBool | cull
| ) |  |
| static

Update GL state. Use this if you don't care about the two-side lighting state.

The documentation for this class was generated from the following files:

- SoGLShapeHintsElement.h
- SoGLShapeHintsElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.